2007年12月21日

[installer 1365] gnupg-2.0.8, 1.4.8

gnupg-2.0.8, 1.4.8 出ています。GnuPG 10周年だそうです。
http://lists.gnupg.org/pipermail/gnupg-announce/2007q4/000268.html

☆ gnupg-2.0.8
http://www.gnupg.org/
http://ftp.gnupg.org/gcrypt/gnupg/gnupg-2.0.8.tar.bz2
ftp://ftp.gnupg.org/pub/gcrypt/gnupg/gnupg-2.0.8.tar.bz2

Noteworthy changes in version 2.0.8 (2007-12-20)
------------------------------------------------

* Enhanced gpg-connect-agent with a small scripting language.

* New option --list-config for gpgconf.

* Fixed a crash in gpgconf.

* Gpg-agent now supports the passphrase quality bar of the latest
Pinentry.

* The envvars XAUTHORITY and PINENTRY_USER_DATA are now passed to the
Pinentry.

* Fixed the auto creation of the key stub for smartcards.

* Fixed a rare bug in decryption using the OpenPGP card.

* Creating DSA2 keys is now possible.

* New option --extra-digest-algo for gpgsm to allow verification of
broken signatures.

* Allow encryption with legacy Elgamal sign+encrypt keys with option
--rfc2440.

* Windows is now a supported platform.

* Made sure that under Windows the file permissions of the socket are
taken into account. This required a change of our socket emulation
code and changed the IPC protocol under Windows.


☆ gnupg-1.4.8
http://www.gnupg.org/
http://ftp.gnupg.org/gcrypt/gnupg/gnupg-1.4.8.tar.bz2
ftp://ftp.gnupg.org/pub/gcrypt/gnupg/gnupg-1.4.8.tar.bz2

Noteworthy changes in version 1.4.8 (2007-12-20)
------------------------------------------------

*******************************************
* A decade of GnuPG: g10-0.0.0.tar.gz was *
* released exactly 10 years ago. *
*******************************************

* Changed the license to GPLv3.

* Improved detection of keyrings specified multiple times.

* Changes to better cope with broken keyservers.

* Minor bug fixes.

* The new OpenPGP standard is now complete, and has been published
as RFC-4880. The GnuPG --openpgp mode (note this is not the
default) has been updated to match the new standard. The
--rfc2440 option can be used to return to the older RFC-2440
behavior. The main differences between the two are
"--enable-dsa2 --no-rfc2440-text --escape-from-lines
--require-cross-certification".

* By default (i.e. --gnupg mode), --require-cross-certification is
now on. --rfc2440-text and --force-v3-sigs are now off.

* Allow encryption using legacy Elgamal sign+encrypt keys if
option --rfc2440 is used.

* Fixed the auto creation of the key stub for smartcards.

* Fixed a rare bug in decryption using the OpenPGP card.

* Fix RFC-4880 typo in the SHA-224 hash prefix. Old SHA-224
signatures will continue to work.

----
こがよういちろう


投稿者 xml-rpc : 2007年12月21日 07:00
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/67900
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。